# HDLMake 'develop' branch required.
#
# Due to bugs in release v3.0 of hdlmake it is necessary to use the "develop"
# branch of hdlmake, commit db4e1ab.

sim_tool   = "modelsim"
sim_top    = "main"
action     = "simulation"
target     = "xilinx"
syn_device = "xc6slx45t"
vcom_opt   = "-93 -mixedsvvh"

include_dirs = [
    "../include/",
    "../include/regs/",
    "../../ip_cores/general-cores/sim/",
    "../../ip_cores/urv-core/rtl/",
]

files = [
    "main.sv",
    "synthesis_descriptor.vhd",
]

modules = {
    "local" :  [
        "../../top/spec_mt_demo",
    ],
    "git" : [
        "git://ohwr.org/hdl-core-lib/general-cores.git",
        "git://ohwr.org/hdl-core-lib/urv-core.git",
        "git://ohwr.org/hdl-core-lib/gn4124-core.git",
    ],
}

fetchto = "../../ip_cores"
